#
# spec file for package ghc-yesod-test
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%global pkg_name yesod-test
%bcond_with tests
Name:           ghc-%{pkg_name}
Version:        1.6.5.1
Release:        1.18
Summary:        Integration testing for WAI/Yesod Applications
License:        MIT
Group:          Development/Libraries/Haskell
URL:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-HUnit-devel
BuildRequires:  ghc-attoparsec-devel
BuildRequires:  ghc-blaze-builder-devel
BuildRequires:  ghc-blaze-html-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-case-insensitive-devel
BuildRequires:  ghc-conduit-devel
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-cookie-devel
BuildRequires:  ghc-hspec-core-devel
BuildRequires:  ghc-html-conduit-devel
BuildRequires:  ghc-http-types-devel
BuildRequires:  ghc-network-devel
BuildRequires:  ghc-pretty-show-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-semigroups-devel
BuildRequires:  ghc-text-devel
BuildRequires:  ghc-time-devel
BuildRequires:  ghc-transformers-devel
BuildRequires:  ghc-wai-devel
BuildRequires:  ghc-wai-extra-devel
BuildRequires:  ghc-xml-conduit-devel
BuildRequires:  ghc-xml-types-devel
BuildRequires:  ghc-yesod-core-devel
%if %{with tests}
BuildRequires:  ghc-hspec-devel
BuildRequires:  ghc-unliftio-devel
BuildRequires:  ghc-yesod-form-devel
%endif

%description
API docs and the README are available at
<http://www.stackage.org/package/yesod-test>.

%package devel
Summary:        Haskell %{pkg_name} library development files
Group:          Development/Libraries/Haskell
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development files.

%prep
%setup -q -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install

%check
%cabal_test

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%license LICENSE

%files devel -f %{name}-devel.files
%doc ChangeLog.md README.md

%changelog
* Mon Oct 22 2018 psimons@suse.com
- Update yesod-test to version 1.6.5.1.
  [#]# 1.6.5.1
  * Make test suite build with GHC 8.6 [#1561](https://github.com/yesodweb/yesod/pull/1561)
* Tue Jul 17 2018 psimons@suse.com
- Update yesod-test to version 1.6.5.
  [#]# 1.6.5
  bodyEquals prints out actual body in addition to expected body in failure msg
  [#1525](https://github.com/yesodweb/yesod/pull/1525)
* Tue Jul 10 2018 psimons@suse.com
- Add yesod-test at version 1.6.4.
